"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCtrlEnterListener = void 0;
const event_listener_1 = __importDefault(require("@use-it/event-listener"));
// Use this to allow the user to submit a form by pressing Ctrl+Enter
// or Command+Enter on Mac
function useCtrlEnterListener(callback, enabled) {
    // keypress will not work
    (0, event_listener_1.default)('keydown', (e) => {
        if (!enabled)
            return;
        if (e.ctrlKey && e.code === 'Enter') {
            callback();
        }
        else if (e.metaKey && e.code === 'Enter') {
            callback();
        }
    });
}
exports.useCtrlEnterListener = useCtrlEnterListener;
